org.apache.commons.jelly.tags

## Class Resources

- java.lang.Object
- - org.apache.commons.jelly.tags.Resources

    public class Resources
    extends Object

Provides locale-neutral access to string resources. Only the documentation and code are in English. :-)

The major goal, aside from globalization, is convenience. Access to resources with no parameters is made in the form:

         Resources.getMessage(MESSAGE_NAME);

Access to resources with one parameter works like

         Resources.getMessage(MESSAGE_NAME, arg1);

... and so on.

Author:
  Shawn Bayern

### Constructor Summary

Constructors
Constructor and Description
`Resources()`

### Method Summary

Methods
`static String` `getMessage(String name)` Retrieves a message with no arguments.
`static String` `getMessage(String name, Object a1)` Retrieves a message with one argument.
`static String` `getMessage(String name, Object[] a)` Retrieves a message with arbitrarily many arguments.
`static String` `getMessage(String name, Object a1, Object a2)` Retrieves a message with two arguments.
`static String` `getMessage(String name, Object a1, Object a2, Object a3)` Retrieves a message with three arguments.
`static String` `getMessage(String name, Object a1, Object a2, Object a3, Object a4)` Retrieves a message with four arguments.
`static String` `getMessage(String name, Object a1, Object a2, Object a3, Object a4, Object a5)` Retrieves a message with five arguments.
`static String` `getMessage(String name, Object a1, Object a2, Object a3, Object a4, Object a5, Object a6)` Retrieves a message with six arguments.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Resources

    public Resources()

### Method Detail

#### getMessage

    public static String getMessage(String name)
                             throws MissingResourceException

Retrieves a message with no arguments.

Throws:
  `MissingResourceException`

#### getMessage

    public static String getMessage(String name,
                    Object[] a)
                             throws MissingResourceException

Retrieves a message with arbitrarily many arguments.

Throws:
  `MissingResourceException`

#### getMessage

    public static String getMessage(String name,
                    Object a1)
                             throws MissingResourceException

Retrieves a message with one argument.

Throws:
  `MissingResourceException`

#### getMessage

    public static String getMessage(String name,
                    Object a1,
                    Object a2)
                             throws MissingResourceException

Retrieves a message with two arguments.

Throws:
  `MissingResourceException`

#### getMessage

    public static String getMessage(String name,
                    Object a1,
                    Object a2,
                    Object a3)
                             throws MissingResourceException

Retrieves a message with three arguments.

Throws:
  `MissingResourceException`

#### getMessage

    public static String getMessage(String name,
                    Object a1,
                    Object a2,
                    Object a3,
                    Object a4)
                             throws MissingResourceException

Retrieves a message with four arguments.

Throws:
  `MissingResourceException`

#### getMessage

    public static String getMessage(String name,
                    Object a1,
                    Object a2,
                    Object a3,
                    Object a4,
                    Object a5)
                             throws MissingResourceException

Retrieves a message with five arguments.

Throws:
  `MissingResourceException`

#### getMessage

    public static String getMessage(String name,
                    Object a1,
                    Object a2,
                    Object a3,
                    Object a4,
                    Object a5,
                    Object a6)
                             throws MissingResourceException

Retrieves a message with six arguments.

Throws:
  `MissingResourceException`